//	ExampleAtlas.cpp - Example of how TextureAtlas should be subclassed.
//  ----------------------------------------------------------------------------
//	This file is part of 'NiallsAVLib', base code for any kind of audiovisual
//	apps.
//	Copyright (C) 2012  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "ExampleAtlas.h"

//------------------------------------------------------------------------------
ExampleAtlas::ExampleAtlas():
TextureAtlas((const char *)imageData,
			 imageDataSize,
			 NumImages,
			 images)
{

}

//------------------------------------------------------------------------------
const unsigned char *ExampleAtlas::imageData = {0,1,2,3,4,5,6,7,8,9};
const int ExampleAtlas::imageDataSize = 10;
const ExampleAtlas::images[NumImages] = {AtlasImage(L"image0",
													L"ExampleAtlas",
													TwoFloats(0.0f, 0.0f),
													TwoFloats(0.25f, 0.25f)),
										 AtlasImage(L"image1",
													L"ExampleAtlas",
													TwoFloats(0.25f, 0.0f),
													TwoFloats(0.25f, 0.25f)),
										 AtlasImage(L"image2",
													L"ExampleAtlas",
													TwoFloats(0.0f, 0.25f),
													TwoFloats(0.25f, 0.25f)),
										 AtlasImage(L"image3",
													L"ExampleAtlas",
													TwoFloats(0.25f, 0.25f),
													TwoFloats(0.25f, 0.25f))};
